## org.omg.IOP
Class TaggedProfileSeqHelper

    java.lang.Object
      |
      +--org.omg.IOP.TaggedProfileSeqHelper

public class TaggedProfileSeqHelper
extends java.lang.Object

Helper class for : TaggedProfileSeq

Author:
  OpenORB Compiler

Constructor Summary
`TaggedProfileSeqHelper()`

Method Summary
`static TaggedProfile[]` `extract(Any a)` Extract TaggedProfileSeq from an any
`static java.lang.String` `id()` Return the TaggedProfileSeq IDL ID
`static void` `insert(Any a, TaggedProfile[] t)` Insert TaggedProfileSeq into an any
`static TaggedProfile[]` `read(InputStream istream)` Read TaggedProfileSeq from a marshalled stream
`static TypeCode` `type()` Return the TaggedProfileSeq TypeCode
`static void` `write(OutputStream ostream, TaggedProfile[] value)` Write TaggedProfileSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggedProfileSeqHelper

    public TaggedProfileSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TaggedProfile[] t)

  Insert TaggedProfileSeq into an any
  Parameters:
    `a` - an any
    `t` - TaggedProfileSeq value

### extract

    public static TaggedProfile[] extract(Any a)

  Extract TaggedProfileSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TaggedProfileSeq value

### type

    public static TypeCode type()

  Return the TaggedProfileSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TaggedProfileSeq IDL ID
  Returns:
    an ID

### read

    public static TaggedProfile[] read(InputStream istream)

  Read TaggedProfileSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TaggedProfileSeq value

### write

    public static void write(OutputStream ostream,
                             TaggedProfile[] value)

  Write TaggedProfileSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TaggedProfileSeq value